Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.objirc
Class RoomOccupants

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--com.objexcel.gui.ObjexcelTableModel
                  |
                  +--com.objexcel.objirc.RoomOccupants

public class RoomOccupants
extends ObjexcelTableModel

a read only model of a rooms occupants. You can add table listeners to this class.

See Also:
  Serialized Form

Field Summary
`static int` | `ILASTSPOKE` index to Object[] array of occupant info: when the last spoke (Date)
`static int` | `IMSG` index to Object[] array of occupant info: #messages (Integer)
`static int` | `INICK` index to Object[] array of occupant info: nick (String)
`static int` | `IOP` index to Object[] array of occupant info: op type (Character)
`static int` | `ITIMEJOINED` index to Object[] array of occupant info: when they joined (Date)

Method Summary
`java.lang.Object[]` | `getInfoForNick(java.lang.String lowerNick)` get info on a particular nick name

Methods inherited from class com.objexcel.gui.ObjexcelTableModel
`addSorting, getColumnClass, getColumnCount, getColumnName, getRowCount, getValueAt, isCellEditable, resort, rowAdded, rowDeleted, rowUpdated, setEditableColumn, setValueAt, tableChanged`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, removeTableModelListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IOP

    public static final int IOP

  index to Object[] array of occupant info: op type (Character)

### INICK

    public static final int INICK

  index to Object[] array of occupant info: nick (String)

### IMSG

    public static final int IMSG

  index to Object[] array of occupant info: #messages (Integer)

### ILASTSPOKE

    public static final int ILASTSPOKE

  index to Object[] array of occupant info: when the last spoke (Date)

### ITIMEJOINED

    public static final int ITIMEJOINED

  index to Object[] array of occupant info: when they joined (Date)

Method Detail

### getInfoForNick

    public java.lang.Object[] getInfoForNick(java.lang.String lowerNick)

  get info on a particular nick name

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD